import cv2 as cv
import numpy as np



# Rescale frame with specified scale
def rescaleFrame(frame, scale=None):
    img_width = frame.shape[1]
    img_height = frame.shape[0]

    STANDARD_RATIO = 0.75

    # Set scale based on screen size if it is not given
    #if scale is None:
        #resolution = getScreenResolution()
        #scale = (resolution[0] / img_width) * STANDARD_RATIO

    # Set new dimension of image to be displayed
    width = int(img_width * scale)
    height = int(img_height * scale)
    dimensions = (width, height)

    return cv.resize(frame, dimensions, interpolation=cv.INTER_AREA)


#  OBS COPYPASTE! funker denne??
def stackImages(img_list, interpolation=cv.INTER_CUBIC):
    # take minimum heights
    h_min = min(img.shape[0] for img in img_list)

    # image resizing
    im_list_resize = [
        cv.resize(
            img,
            (int(img.shape[1] * h_min / img.shape[0]), h_min),
            interpolation=interpolation,
        )
        for img in img_list
    ]

    # return final image
    return cv.hconcat(im_list_resize)
